<?xml version="1.0" encoding="utf-8" ?>

<ClassComponent localName="Dimmer" description="Устройство типа диммер"
	fileName="NPCDimmer.jar" className="org.mati.npc.components.dimmer.NPCDimmer"
	version="9132" time="17.02.2009 01:05:07">

	<Group>Умный дом</Group>

	<!-- inlinks -->
	<INLink name="InS"
		description="Входящая связь от сенсора, допускает управление кнопкой от другого компонента."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InUniversal" description="Входящая связь для передачи универсального типа"
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</INLink>

	<!-- outlinks -->
	<OUTLink name="OutUniversal"
		description="Исходящая связь для передачи универсального типа"
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="true">
	</OUTLink>

	<!-- Attributes -->
	<Attribute name="MinValue" description="Мин. значение (0 по умолчанию)"
		defaultValue="0"
		nullable="false" type="java.lang.Float">
	</Attribute>
	<Attribute name="MaxValue" description="Макс. значение (255 по умолчанию)"
		defaultValue="255"
		nullable="false" type="java.lang.Float">
	</Attribute>
	<Attribute name="InitialValueFactor"
		description="Фактор значения при включении (0,7 по умолчанию)"
		defaultValue="0.7"
		nullable="false" type="java.lang.Float">
	</Attribute>
	<Attribute name="Step" description="Шаг (10 по умолчанию)"
		defaultValue="10"
		nullable="false" type="java.lang.Float">
	</Attribute>
	<Attribute name="PauseBetweenSteps"
		description="Пауза между шагами в миллисекундах (100 по умолчанию)"
		defaultValue="100"
		nullable="false" type="java.lang.Long">
	</Attribute>
	<Attribute name="PauseOnPick"
		description="Пауза при достижении пика в миллисекундах (5000 по умолчанию)"
		defaultValue="5000"
		nullable="false" type="java.lang.Long">
	</Attribute>
	<Attribute name="Mode" description="Режим работы диммера"
		nullable="false" type="java.util.List" defaultValue="Одно направление">
		<List value="Одно направление" />
		<List value="Два направления" />
	</Attribute>
</ClassComponent>